@echo off
rem ------------------------------------------------------------------------
rem  "proc_smiles.bat" - process smiles input and generate thermodata
rem                      and transport data
rem     This is a part of KUCRS:
rem        Knowledge-basing Utilities for Complex Reaction Systems
rem                     (c) 2002-2021 by A. Miyoshi, Hiroshima University
rem                                last edited: Aug. 19, 2021
rem ------------------------------------------------------------------------
rem
rem ----- smiles2mol ---------------------------------------
smiles2mol %1.inp %1_mol.dat -t > %1_s2m.log
 if errorlevel 1 goto errs2end
del %1_mol.dat %1_s2m.log
rem
rem ----- thermgen -----------------------------------------
thermgen %1_thg.inp %1_thg.lst > %1_thg.log
 if errorlevel 1 goto errtgend
del %1_thg.log
rem
rem ----- thermpac -----------------------------------------
thermpac %1_thg.lst %1_thg.i97 > %1_thp.log
 if errorlevel 1 goto errtpend
del %1_thp.log
rem
rem ----- pac99m -------------------------------------------
pac99m %1_thg
 if errorlevel 1 goto errp9end
del %1_thg.i97 %1_thg.o97 new.groups unf.EFdata
c97to7m < %1_thg.c97 > %1_thg.dat
del %1_thg.c97
rem
rem ----- trangen ------------------------------------------
trangen %1_thg.inp --no_append > %1_trn.log
 if errorlevel 1 goto errtrend
del %1_thg.inp %1_trn.log
rem
echo proc_smiles - terminated normally.
 goto :EOF
rem
rem ..... error traps ......................................
:errs2end
 echo proc_smiles - ERROR returned from smiles2mol - Abort.
 goto :EOF
:errtgend
 echo proc_smiles - ERROR returned from thermgen - Abort.
 goto :EOF
:errtpend
 echo proc_smiles - ERROR returned from thermpac - Abort.
 goto :EOF
:errp9end
 echo proc_smiles - ERROR returned from pac99m - Abort.
 goto :EOF
:errtrend
 echo proc_smiles - ERROR returned from trangen - Abort.
